Bug 64711 - "Clean All" on suite renames directory in USER_DIR
"Clean All" on suite renames directory in USER_DIR
Status: CLOSED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Jesse Glick
issues@apisupport
5.0-beta-waiver
:
Depends on:
Blocks: 64249
  Show dependency treegraph
 
Reported: 2005-09-20 09:54 UTC by Martin Krauskopf
Modified: 2005-12-03 19:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2005-09-20 09:59:05 UTC
Probably the culprit is "-clean-jnlp-userdir" target.

1) Create suite called e.g. suite1
2) Suite Properties -> Basic Branding -> check the branding checkbox
3) mkdir ~/.suite1
4) Shift-F11

~/.suite1 is moved to ~/.suite1.bak

Please don't try to call your suite vim, kde, gnome, gnome2, java, fluxbox,
mplayer, emacs, xine, xmms, gconf.... The result (probably better word is
_feedback_) could be *very* surprising ;)
Comment 1 Jesse Glick 2005-09-21 01:35:56 UTC
Do you have any better idea how to solve issue #64249?
Comment 2 Jesse Glick 2005-09-21 01:37:25 UTC
Could perhaps change default name of userdir for both JNLP and regular app to
e.g. "~/.nb-app-$suitename"?
Comment 3 Martin Krauskopf 2005-09-21 08:28:07 UTC
> Could perhaps change default name of userdir for both JNLP and regular
> app to e.g. "~/.nb-app-$suitename"?

Sounds good and also solves my original problem:
I have an suite e.g. called "jvim". I run the application, exit, S-F11, run
again, .jvim is "backuped".
So that should definitelly solve the problem also for non-OS-conflicting names.
Comment 4 Martin Krauskopf 2005-09-21 10:01:12 UTC
Rare (5.0-beta-waiver) to be dangerous (P1)
Comment 5 Jesse Glick 2005-09-30 00:04:58 UTC
committed     Up-To-Date  1.19        apisupport/harness/release/jnlp.xml
Comment 6 pzajac 2005-10-21 11:34:09 UTC
verified
Comment 7 Martin Krauskopf 2005-12-03 07:36:17 UTC
> Could perhaps change default name of userdir for both JNLP and regular
> app to e.g. "~/.nb-app-$suitename"?

It seems that only jnlp part was fixed. Please fix or evaluate also zipped
distribution case.
(lowering priority --> imediate deleting has gone)
Comment 8 Martin Krauskopf 2005-12-03 07:46:25 UTC
Probably just about fixing app.conf?

RCS file: /cvs/apisupport/harness/release/etc/app.conf,v
.
.
@@ -1,5 +1,5 @@
 # ${HOME} will be replaced by JVM user.home system property
-default_userdir="${HOME}/.${APPNAME}/dev"
+default_userdir="${HOME}/.nbapp-${APPNAME}/dev"

Comment 9 Jesse Glick 2005-12-03 19:07:05 UTC
Intentionally.

1. Zipped apps are not run directly by any Ant targets.

2. The default userdir already includes the /dev suffix so it is unlikely to
interfere even with ~/.gnome or whatever.

3. Unlike in the case of JNLP, the clean target does not remove the ZIP app
userdir - that, I think, being the original complaint in this bug.
Comment 10 Martin Krauskopf 2005-12-03 19:18:56 UTC
Yup, clear. Wanted to clarify dev@openide thread. Thanks.
v/c


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo